XEvents.add( window, "onload", function( )
{
	if ( template == 'classic' || template == 'celepar' )
		return false;

	var icons = document.getElementById( "app_icons" ).getElementsByTagName( "td" );
	for ( var i = 0; i < icons.length; i++ )
	{
		XEvents.add( icons.item( i ), "onmouseover", function( )
		{
			if ( this.className != "navbar_butOut" )
			{
				this.className = "navbar_butOver";
				/*zoom_in( this.firstChild.firstChild.id );*/
			}
		} );
		XEvents.add( icons.item( i ), "onmouseout", function( )
		{
			if ( this.className != "navbar_butOut" )
			{
				this.className = "navbar_but";
				/*zoom_out( this.firstChild.firstChild.id );*/
			}
		} );
		XEvents.add( icons.item( i ), "onclick", function( )
		{
			if ( this.className != "navbar_butOut" )
			{
				this.className = "navbar_butOut";
				/*zoom_out( this.firstChild.firstChild.id );*/
				var app = document.getElementById( curr_app );
				if ( app )
					app.parentNode.parentNode.className= "navbar_but";
				//curr_app = "' . str_replace( '_', '', $app ) . 'id"
			}
		} );
	}
} );

function openWindow( newWidth, newHeight, link )
{
	newScreenX  = screen.width - newWidth;
	newScreenY  = 0;
	Window1 = window.open( link, "",
		"width=" + newWidth + ", height=" + newHeight
		+ ", screenX=" + newScreenX + ", screenY=" + newScreenY
		+ ", top=" + newScreenY + ", left=" + newScreenX
		+ ", toolbar=no, scrollbars=yes, resizable=no"
	);
}

function borkb(size){
        kbyte = 1024;
        mbyte = kbyte*1024;
        gbyte = mbyte*1024;
        if (!size)
                size = 0;
        if (size < kbyte)
                return size + ' B';
        else if (size < mbyte)
                return parseInt(size/kbyte) + ' KB';
        else if (size < gbyte)
                if (size/mbyte > 100)
                        return (size/mbyte).toFixed(0) + ' MB';
                else
                        return (size/mbyte).toFixed(1) + ' MB';
        else
                return parseInt(size/gbyte).toFixed(1) + ' GB';
}

function url_encode(str){
    return escape(str);
}
function url_decode(str) {
        return unescape(str);
}

function replaceAll(string, token, newtoken) {
        while (string.indexOf(token) != -1) {
                string = string.replace(token, newtoken);
        }
        return string;
}

function config_events(pObj, pEvent, pHandler)
{
    if( typeof pObj == 'object')
    {
        if( pEvent.substring(0, 2) == 'on')
            pEvent = pEvent.substring(2, pEvent.length);

        if ( pObj.addEventListener )
            pObj.addEventListener(pEvent, pHandler, false);
        else if( pObj.attachEvent )
            pObj.attachEvent('on' + pEvent, pHandler );
    }
}

function createAndSet(elemType,attributes,values,innerCode){
	var elem = document.createElement(elemType);
	for(i=0; i < attributes.length; i++){
		elem.setAttribute(attributes[i],values[i]);
	}
	if(typeof(innerCode) != 'undefined')
		elem.innerHTML = innerCode;
	return elem;
}

function appendChilds(elem){
        for(i = 1; typeof(arguments[i]) != 'undefined'; i++)
		elem.appendChild(arguments[i]);
	return elem;
}

function removeAll(id){
        do
        {
                if (typeof(Element(id)) == 'undefined')
                        break;
                Element(id).parentNode.removeChild(Element(id));
        }
        while(Element(id));
}
function validateEmail(email){
        if (typeof(email) != 'string')
                return false;
        var validName = /^[a-z][a-z-_0-9\.]*/i;
        emailParts = email.split('@');
        return (validName.test(emailParts[0]) && validateDomain(emailParts[1]));
}
function validateDomain(domain){
        var domainReg = /^(([A-Za-z\d][A-Za-z\d-]{0,61}[A-Za-z\d]\.)+[A-Za-z]{2,6}|\[\d{1,3}(\.\d{1,3}){3}\])$/i;
        return (domainReg.test(domain));
}

function validateUrl(url){
        var urlReg = /([A-Za-z]{2,7}:\/\/)(.*)/i;
        urlParts = url.split(urlReg);
        return (urlParts[1].length > 4 &&  validateDomain(urlParts[2]));
}

function trim(inputString) {
   if (typeof inputString != "string")
        return inputString;

   var retValue = inputString;
   var ch = retValue.substring(0, 1);
   while (ch == " ") {
          retValue = retValue.substring(1, retValue.length);
          ch = retValue.substring(0, 1);
   }
   ch = retValue.substring(retValue.length-1, retValue.length);
   while (ch == " ") {
          retValue = retValue.substring(0, retValue.length-1);
          ch = retValue.substring(retValue.length-1, retValue.length);
   }
   while (retValue.indexOf("  ") != -1) {
          retValue = retValue.substring(0, retValue.indexOf("  ")) + retValue.substring(retValue.indexOf("  ")+1, retValue.length);
   }
   return retValue;
}


function LTrim(value){
        var w_space = String.fromCharCode(32);
        var strTemp = "";
        var iTemp = 0;

        var v_length = value ? value.length : 0;
        if(v_length < 1)
                return "";

        while(iTemp < v_length){
                if(value && value.charAt(iTemp) != w_space){
                        strTemp = value.substring(iTemp,v_length);
                        break;
                }
                iTemp++;
        }
        return strTemp;
}


function add_className(obj, className){
        if (obj && !exist_className(obj, className))
                obj.className = obj.className + ' ' + className;
}

function remove_className(obj, className){
        var re = new RegExp("\\s*"+className);
        if (obj)
                obj.className = obj.className.replace(re, ' ');
}

function exist_className(obj, className){
        return ( obj && obj.className.indexOf(className) != -1 );
}



function validate_date(date){
    if (date.match(/^[0-3][0-9]\/[0-1][0-9]\/\d{4,4}$/))
    {
        tmp = date.split('/');

        day = new Number(tmp[0]);
        month = new Number(tmp[1]);
        year = new Number(tmp[2]);
        if (month >= 1 && month <= 12 && day >= 1 && day <= 31)
        {
            if (month == 02 && day <= 29)
            {
                return true;
            }
            return true;
        }
        else
            {
                return false;
            }
    }
    else
        {
            return false;
        }
}

// Translate words and phrases using user language from eGroupware.
function get_lang(_key) {
        try
        {
                var key = _key.toLowerCase();
                if(array_lang[key])
                        var _value = array_lang[key];
                else
                        var _value = _key+"*";

                if(arguments.length > 1)
                        for(j = 1; typeof(arguments[j]) != 'undefined'; j++)
                                _value = _value.replace("%"+j,arguments[j]);
                return _value;
        }
        catch ( e )
        {
                return _key+"*";
        }
}


function showBar(){
	bar = document.getElementById("toolbar");
	bar.style.visibility = "";
	bar.style.position ="static";
	but = document.getElementById("hiddenButton");
	but.style.visibility = "";
	but.style.position = "absolute";
	but.style.top = "55px";
	but.style.left = "2px";
	title = get_lang('hide_bar_txt');
	extra = document.getElementById("extraButton");
	extra.style.visibility = "hidden";
	but.innerHTML='<a title="' +title + '" onClick="javascript:changeBar()"><img src="' + URL_SERVER + 'phpgwapi/templates/default/images/up.button.png"></a>';
	var neverExpires = new Date("January 01, 2100 00:00:00");
	document.cookie = "showHeader=true"+
		";expires=" + neverExpires.toGMTString()+
		";path=/";
}

function hideBar(){
	bar = document.getElementById("toolbar");
	bar.style.position ="absolute";
	bar.style.visibility = "hidden";
	but = document.getElementById("hiddenButton");
	but.style.visibility = "hidden";
	title = get_lang('show_bar_txt');
	extra = document.getElementById("extraButton");
	extra.style.visibility = "";
	extra.style.top = "-11px";
	extra.style.left = "-10px";
	var neverExpires = new Date("January 01, 2100 00:00:00");
	document.cookie = "showHeader=false"+
		";expires=" + neverExpires.toGMTString()+
		";path=/";
}
function changeBar(){
	bar = document.getElementById("toolbar");
	if(bar.style.visibility == "hidden")
		showBar();
	else
		hideBar();
}
function initBar(val){

	if(val == 'true')
		showBar();
	else
		hideBar();
}
var zoomTimer = { '_in': [] , '_out': [] };
var imgSize = [];

function zoom_in(id)
{
	clearTimeout(zoomTimer._out[id]);
	var elem = document.getElementById(id);
	if (imgSize[id] == undefined)
		imgSize[id]=elem.height;

	if (elem.height > (imgSize[id]+10))
	{
		clearTimeout(zoomTimer._in[id]);
		return false;
	}
	var propor = (elem.width/elem.height);
	elem.height += 3;
	elem.width += propor*3;
	zoomTimer._in[id] = setTimeout('zoom_in("'+id+'");',30);
}
function zoom_out(id)
{
	clearTimeout(zoomTimer._in[id]);
	var elem = document.getElementById(id);
	if ( ! elem )
		return;
	if (elem.height < imgSize[id])
	{
		clearTimeout(zoomTimer._out[id]);
		return false;
	}
	var propor = (elem.width/elem.height);
	elem.height -= 3;
	elem.width -= propor*3;
	zoomTimer._out[id] = setTimeout('zoom_out("'+id+'");',30);
};

